欢迎光临
我们一直在努力

如何在CentOS 7上安装PHP 5.6

默认情况下, CentOS 7官方软件包存储库具有PHP 5.4 ,已达到使用寿命并且不再由开发人员主动维护。 要跟上最新的功能和安全更新,您需要在CentOS 7系统上使用更新的(可能是最新的)PHP版本。

因此,强烈建议您在CentOS 7 Linux发行版上升级或安装最新支持的稳定版PHP 5.5PHP 5.6PHP 7

在本文中,我们将解释如何在CentOS 7上安装受支持的稳定版本的PHP 5.5 (仅提供安全更新)或PHP 5.6 (相同的说明也适用于RHEL 7 )发行版。

在CentOS 7上安装PHP 5.6

1.要安装PHP 5.6 ,您必须使用以下命令安装并启用EPELRemi存储库到您的CentOS 7系统。

# yum install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm# yum install http://rpms.remirepo.net/enterprise/remi-release-7.rpm

2.接下来,安装yum-utils ,它是与yum集成的各种实用程序,以增强其默认功能,为其提供更高级的包管理选项,并且使其更易于使用。

它的一些重要功能包括操作存储库,在旅途中启用或禁用软件包等等,而无需任何手动配置。

# yum install yum-utils

3. yum-utils提供的最重要的程序之一是yum-config-manager ,您可以使用它来将Remi存储库作为安装各种PHP版本的默认存储库。 例如,如果你想在CentOS 7上安装PHP 5.5PHP 5.6PHP 7.2 ,只需启用它并按照图示安装即可。

# yum-config-manager --enable remi-php55   [Install PHP 5.5]# yum-config-manager --enable remi-php56   [Install PHP 5.6]# yum-config-manager --enable remi-php72   [Install PHP 7.2]

4.现在您已经启用了选定的PHP版本,您可以安装PHP(在这里,我们选择安装PHP 5.6 ),其中包含所有需要的模块,如下所示

# yum-config-manager --enable remi-php56   [Install PHP 5.6]# yum install php php-mcrypt php-cli php-gd php-curl php-mysql php-ldap php-zip php-fileinfo

重要的事情要注意:

  1. 如果出于某种原因想要降级PHP版本,则需要删除现有的PHP版本,然后使用您需要的模块重新安装新的PHP。
  2. 您也可以在Linux上安装多个版本的PHP,并手动选择默认使用哪个版本。

之后,请仔细检查系统上已安装的PHP版本。

# php -v

最后,请记住阅读这些有用的PHP文章:

  1. 如何在Linux命令行中使用和执行PHP代码
  2. 如何查找MySQL,PHP和Apache配置文件
  3. 如何使用脚本测试PHP MySQL数据库连接
  4. 如何使用Cron作为普通用户运行PHP脚本

这就是现在! 与我们分享任何想法,您可以使用下面的评论表单。 接下来,我们将引导您在CentOS 6中安装PHP 7 在此之前,请保持与Howtoing.com的连接。

赞(0) 打赏
未经允许不得转载:老赵部落 » 如何在CentOS 7上安装PHP 5.6
data-ad-format="auto" data-full-width-responsive="true">

评论 抢沙发